diff -urp webkitgtk-2.36.0.icu60/Source/cmake/OptionsGTK.cmake webkitgtk-2.36.0.icu52/Source/cmake/OptionsGTK.cmake
--- webkitgtk-2.36.0.icu60/Source/cmake/OptionsGTK.cmake	2022-03-29 15:02:28.892121597 -0500
+++ webkitgtk-2.36.0.icu52/Source/cmake/OptionsGTK.cmake	2022-03-28 15:11:54.570977102 -0500
@@ -14,7 +14,7 @@ find_package(Freetype 2.4.2 REQUIRED)
 find_package(LibGcrypt 1.6.0 REQUIRED)
 find_package(GLIB 2.56.4 REQUIRED COMPONENTS gio gio-unix gobject gthread gmodule)
 find_package(HarfBuzz 0.9.18 REQUIRED COMPONENTS ICU)
-find_package(ICU 60.2 REQUIRED COMPONENTS data i18n uc)
+find_package(ICU 52.1 REQUIRED COMPONENTS data i18n uc)
 find_package(JPEG REQUIRED)
 find_package(LibXml2 2.8.0 REQUIRED)
 find_package(PNG REQUIRED)
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/CMakeLists.txt webkitgtk-2.36.0.icu52/Source/JavaScriptCore/CMakeLists.txt
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/CMakeLists.txt	2022-02-23 02:58:52.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/CMakeLists.txt	2022-03-28 15:11:04.214708945 -0500
@@ -73,16 +73,11 @@ set(JavaScriptCore_OBJECT_LUT_SOURCES
     runtime/IntlDateTimeFormatPrototype.cpp
     runtime/IntlDisplayNamesConstructor.cpp
     runtime/IntlDisplayNamesPrototype.cpp
-    runtime/IntlListFormatConstructor.cpp
-    runtime/IntlListFormatPrototype.cpp
-    runtime/IntlLocalePrototype.cpp
     runtime/IntlNumberFormatConstructor.cpp
     runtime/IntlNumberFormatPrototype.cpp
     runtime/IntlObject.cpp
     runtime/IntlPluralRulesConstructor.cpp
     runtime/IntlPluralRulesPrototype.cpp
-    runtime/IntlRelativeTimeFormatConstructor.cpp
-    runtime/IntlRelativeTimeFormatPrototype.cpp
     runtime/IntlSegmentIteratorPrototype.cpp
     runtime/IntlSegmenterConstructor.cpp
     runtime/IntlSegmenterPrototype.cpp
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/DerivedSources-input.xcfilelist webkitgtk-2.36.0.icu52/Source/JavaScriptCore/DerivedSources-input.xcfilelist
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/DerivedSources-input.xcfilelist	2022-02-23 02:58:52.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/DerivedSources-input.xcfilelist	2022-03-28 15:11:04.214708945 -0500
@@ -150,16 +150,12 @@ $(PROJECT_DIR)/runtime/IntlDateTimeForma
 $(PROJECT_DIR)/runtime/IntlDateTimeFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlDisplayNamesConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlDisplayNamesPrototype.cpp
-$(PROJECT_DIR)/runtime/IntlListFormatConstructor.cpp
-$(PROJECT_DIR)/runtime/IntlListFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlLocalePrototype.cpp
 $(PROJECT_DIR)/runtime/IntlNumberFormatConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlNumberFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlObject.cpp
 $(PROJECT_DIR)/runtime/IntlPluralRulesConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlPluralRulesPrototype.cpp
-$(PROJECT_DIR)/runtime/IntlRelativeTimeFormatConstructor.cpp
-$(PROJECT_DIR)/runtime/IntlRelativeTimeFormatPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlSegmentIteratorPrototype.cpp
 $(PROJECT_DIR)/runtime/IntlSegmenterConstructor.cpp
 $(PROJECT_DIR)/runtime/IntlSegmenterPrototype.cpp
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/DerivedSources.make webkitgtk-2.36.0.icu52/Source/JavaScriptCore/DerivedSources.make
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/DerivedSources.make	2022-02-23 02:58:52.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/DerivedSources.make	2022-03-28 15:11:04.214708945 -0500
@@ -165,16 +165,12 @@ OBJECT_LUT_HEADERS = \
     IntlDateTimeFormatPrototype.lut.h \
     IntlDisplayNamesConstructor.lut.h \
     IntlDisplayNamesPrototype.lut.h \
-    IntlListFormatConstructor.lut.h \
-    IntlListFormatPrototype.lut.h \
     IntlLocalePrototype.lut.h \
     IntlNumberFormatConstructor.lut.h \
     IntlNumberFormatPrototype.lut.h \
     IntlObject.lut.h \
     IntlPluralRulesConstructor.lut.h \
     IntlPluralRulesPrototype.lut.h \
-    IntlRelativeTimeFormatConstructor.lut.h \
-    IntlRelativeTimeFormatPrototype.lut.h \
     IntlSegmentIteratorPrototype.lut.h \
     IntlSegmenterConstructor.lut.h \
     IntlSegmenterPrototype.lut.h \
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/DerivedSources-output.xcfilelist webkitgtk-2.36.0.icu52/Source/JavaScriptCore/DerivedSources-output.xcfilelist
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/DerivedSources-output.xcfilelist	2022-02-23 02:58:52.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/DerivedSources-output.xcfilelist	2022-03-28 15:11:04.214708945 -0500
@@ -28,16 +28,12 @@ $(BUILT_PRODUCTS_DIR)/DerivedSources/Jav
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlDateTimeFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlDisplayNamesConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlDisplayNamesPrototype.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlListFormatConstructor.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlListFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlLocalePrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlNumberFormatConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlNumberFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlObject.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlPluralRulesConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlPluralRulesPrototype.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlRelativeTimeFormatConstructor.lut.h
-$(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlRelativeTimeFormatPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlSegmentIteratorPrototype.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlSegmenterConstructor.lut.h
 $(BUILT_PRODUCTS_DIR)/DerivedSources/JavaScriptCore/IntlSegmenterPrototype.lut.h
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/heap/Heap.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/heap/Heap.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/heap/Heap.cpp	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/heap/Heap.cpp	2022-03-29 16:50:50.002745609 -0500
@@ -334,11 +334,8 @@ Heap::Heap(VM& vm, HeapType heapType)
     , intlCollatorHeapCellType(IsoHeapCellType::Args<IntlCollator>())
     , intlDateTimeFormatHeapCellType(IsoHeapCellType::Args<IntlDateTimeFormat>())
     , intlDisplayNamesHeapCellType(IsoHeapCellType::Args<IntlDisplayNames>())
-    , intlListFormatHeapCellType(IsoHeapCellType::Args<IntlListFormat>())
-    , intlLocaleHeapCellType(IsoHeapCellType::Args<IntlLocale>())
     , intlNumberFormatHeapCellType(IsoHeapCellType::Args<IntlNumberFormat>())
     , intlPluralRulesHeapCellType(IsoHeapCellType::Args<IntlPluralRules>())
-    , intlRelativeTimeFormatHeapCellType(IsoHeapCellType::Args<IntlRelativeTimeFormat>())
     , intlSegmentIteratorHeapCellType(IsoHeapCellType::Args<IntlSegmentIterator>())
     , intlSegmenterHeapCellType(IsoHeapCellType::Args<IntlSegmenter>())
     , intlSegmentsHeapCellType(IsoHeapCellType::Args<IntlSegments>())
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/heap/Heap.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/heap/Heap.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/heap/Heap.h	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/heap/Heap.h	2022-03-29 17:12:52.801790710 -0500
@@ -221,11 +221,8 @@ class Heap;
     v(intlCollatorSpace, intlCollatorHeapCellType, IntlCollator) \
     v(intlDateTimeFormatSpace, intlDateTimeFormatHeapCellType, IntlDateTimeFormat) \
     v(intlDisplayNamesSpace, intlDisplayNamesHeapCellType, IntlDisplayNames) \
-    v(intlListFormatSpace, intlListFormatHeapCellType, IntlListFormat) \
-    v(intlLocaleSpace, intlLocaleHeapCellType, IntlLocale) \
     v(intlNumberFormatSpace, intlNumberFormatHeapCellType, IntlNumberFormat) \
     v(intlPluralRulesSpace, intlPluralRulesHeapCellType, IntlPluralRules) \
-    v(intlRelativeTimeFormatSpace, intlRelativeTimeFormatHeapCellType, IntlRelativeTimeFormat) \
     v(intlSegmentIteratorSpace, intlSegmentIteratorHeapCellType, IntlSegmentIterator) \
     v(intlSegmenterSpace, intlSegmenterHeapCellType, IntlSegmenter) \
     v(intlSegmentsSpace, intlSegmentsHeapCellType, IntlSegments) \
@@ -954,11 +951,8 @@ public:
     IsoHeapCellType intlCollatorHeapCellType;
     IsoHeapCellType intlDateTimeFormatHeapCellType;
     IsoHeapCellType intlDisplayNamesHeapCellType;
-    IsoHeapCellType intlListFormatHeapCellType;
-    IsoHeapCellType intlLocaleHeapCellType;
     IsoHeapCellType intlNumberFormatHeapCellType;
     IsoHeapCellType intlPluralRulesHeapCellType;
-    IsoHeapCellType intlRelativeTimeFormatHeapCellType;
     IsoHeapCellType intlSegmentIteratorHeapCellType;
     IsoHeapCellType intlSegmenterHeapCellType;
     IsoHeapCellType intlSegmentsHeapCellType;
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/heap/HeapSubspaceTypes.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/heap/HeapSubspaceTypes.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/heap/HeapSubspaceTypes.h	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/heap/HeapSubspaceTypes.h	2022-03-29 17:11:15.245271236 -0500
@@ -40,11 +40,8 @@
 #include "IntlCollator.h"
 #include "IntlDateTimeFormat.h"
 #include "IntlDisplayNames.h"
-#include "IntlListFormat.h"
-#include "IntlLocale.h"
 #include "IntlNumberFormat.h"
 #include "IntlPluralRules.h"
-#include "IntlRelativeTimeFormat.h"
 #include "IntlSegmentIterator.h"
 #include "IntlSegmenter.h"
 #include "IntlSegments.h"
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/BigIntPrototype.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/BigIntPrototype.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/BigIntPrototype.cpp	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/BigIntPrototype.cpp	2022-03-28 15:11:04.214708945 -0500
@@ -29,7 +29,7 @@
 
 #include "BigIntObject.h"
 #include "IntegrityInlines.h"
-#include "IntlNumberFormatInlines.h"
+#include "IntlNumberFormat.h"
 #include "JSBigInt.h"
 #include "JSCInlines.h"
 #include "JSCast.h"
@@ -132,20 +132,13 @@ JSC_DEFINE_HOST_FUNCTION(bigIntProtoFunc
     VM& vm = globalObject->vm();
     auto scope = DECLARE_THROW_SCOPE(vm);
 
-    JSBigInt* thisValue = toThisBigIntValue(globalObject, callFrame->thisValue());
+    JSBigInt* value = toThisBigIntValue(globalObject, callFrame->thisValue());
     RETURN_IF_EXCEPTION(scope, { });
 
     auto* numberFormat = IntlNumberFormat::create(vm, globalObject->numberFormatStructure());
     numberFormat->initializeNumberFormat(globalObject, callFrame->argument(0), callFrame->argument(1));
-    RETURN_IF_EXCEPTION(scope, { });
-
-    auto value = toIntlMathematicalValue(globalObject, thisValue);
-    RETURN_IF_EXCEPTION(scope, { });
-
-    if (auto number = value.tryGetDouble())
-        RELEASE_AND_RETURN(scope, JSValue::encode(numberFormat->format(globalObject, number.value())));
-
-    RELEASE_AND_RETURN(scope, JSValue::encode(numberFormat->format(globalObject, WTFMove(value))));
+    RETURN_IF_EXCEPTION(scope, encodedJSValue());
+    RELEASE_AND_RETURN(scope, JSValue::encode(numberFormat->format(globalObject, value)));
 }
 
 JSC_DEFINE_HOST_FUNCTION(bigIntProtoFuncValueOf, (JSGlobalObject* globalObject, CallFrame* callFrame))
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/CommonIdentifiers.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/CommonIdentifiers.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/CommonIdentifiers.h	2022-03-29 15:02:28.892121597 -0500
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/CommonIdentifiers.h	2022-03-28 15:11:04.214708945 -0500
@@ -42,9 +42,7 @@
     macro(Function) \
     macro(Infinity) \
     macro(Intl) \
-    macro(ListFormat) \
     macro(Loader) \
-    macro(Locale) \
     macro(Map) \
     macro(NaN) \
     macro(Number) \
@@ -55,7 +53,6 @@
     macro(ShadowRealm) \
     macro(Reflect) \
     macro(RegExp) \
-    macro(RelativeTimeFormat) \
     macro(RemotePlayback) \
     macro(Segmenter) \
     macro(Set) \
@@ -215,12 +212,10 @@
     macro(resolve) \
     macro(roundingIncrement) \
     macro(roundingMode) \
-    macro(roundingPriority) \
     macro(script) \
     macro(second) \
     macro(seconds) \
     macro(segment) \
-    macro(selectRange) \
     macro(sensitivity) \
     macro(set) \
     macro(size) \
@@ -250,7 +245,6 @@
     macro(toPrecision) \
     macro(toString) \
     macro(toTemporalInstant) \
-    macro(trailingZeroDisplay) \
     macro(type) \
     macro(uid) \
     macro(unicode) \
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlCollator.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlCollator.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlCollator.cpp	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlCollator.cpp	2022-03-28 15:11:04.214708945 -0500
@@ -33,6 +33,7 @@
 #include "JSCInlines.h"
 #include "ObjectConstructor.h"
 #include <wtf/HexNumber.h>
+#include <unicode/ucol.h>
 
 namespace JSC {
 
@@ -42,6 +43,12 @@ namespace IntlCollatorInternal {
 constexpr bool verbose = false;
 }
 
+void IntlCollator::UCollatorDeleter::operator()(UCollator* collator) const
+{
+    if (collator)
+        ucol_close(collator);
+}
+
 IntlCollator* IntlCollator::create(VM& vm, Structure* structure)
 {
     IntlCollator* format = new (NotNull, allocateCell<IntlCollator>(vm)) IntlCollator(vm, structure);
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlCollator.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlCollator.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlCollator.h	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlCollator.h	2022-03-28 15:11:04.214708945 -0500
@@ -27,9 +27,10 @@
 #pragma once
 
 #include "IntlObject.h"
-#include <unicode/ucol.h>
 #include <wtf/unicode/icu/ICUHelpers.h>
 
+struct UCollator;
+
 namespace JSC {
 
 enum class RelevantExtensionKey : uint8_t;
@@ -92,7 +93,9 @@ private:
     enum class Sensitivity : uint8_t { Base, Accent, Case, Variant };
     enum class CaseFirst : uint8_t { Upper, Lower, False };
 
-    using UCollatorDeleter = ICUDeleter<ucol_close>;
+    struct UCollatorDeleter {
+        void operator()(UCollator*) const;
+    };
 
     static ASCIILiteral usageString(Usage);
     static ASCIILiteral sensitivityString(Sensitivity);
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDateTimeFormat.cpp	2022-03-28 15:11:04.214708945 -0500
@@ -66,6 +66,12 @@ namespace IntlDateTimeFormatInternal {
 static constexpr bool verbose = false;
 }
 
+void IntlDateTimeFormat::UDateFormatDeleter::operator()(UDateFormat* dateFormat) const
+{
+    if (dateFormat)
+        udat_close(dateFormat);
+}
+
 IntlDateTimeFormat* IntlDateTimeFormat::create(VM& vm, Structure* structure)
 {
     IntlDateTimeFormat* format = new (NotNull, allocateCell<IntlDateTimeFormat>(vm)) IntlDateTimeFormat(vm, structure);
@@ -1293,6 +1299,7 @@ JSValue IntlDateTimeFormat::format(JSGlo
     return jsString(vm, String(result));
 }
 
+#if 0
 static ASCIILiteral partTypeString(UDateFormatField field)
 {
     switch (field) {
@@ -1420,6 +1427,7 @@ JSValue IntlDateTimeFormat::formatToPart
 
     return parts;
 }
+#endif
 
 UDateIntervalFormat* IntlDateTimeFormat::createDateIntervalFormatIfNecessary(JSGlobalObject* globalObject)
 {
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDateTimeFormat.h	2022-03-28 15:11:04.214708945 -0500
@@ -28,7 +28,6 @@
 
 #include "JSObject.h"
 #include <unicode/udat.h>
-#include <wtf/unicode/icu/ICUHelpers.h>
 
 struct UDateIntervalFormat;
 
@@ -127,7 +126,9 @@ private:
     static void replaceHourCycleInSkeleton(Vector<UChar, 32>&, bool hour12);
     static void replaceHourCycleInPattern(Vector<UChar, 32>&, HourCycle);
 
-    using UDateFormatDeleter = ICUDeleter<udat_close>;
+    struct UDateFormatDeleter {
+        void operator()(UDateFormat*) const;
+    };
 
     WriteBarrier<JSBoundFunction> m_boundFormat;
     std::unique_ptr<UDateFormat, UDateFormatDeleter> m_dateFormat;
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp	2022-02-23 02:58:53.000000000 -0600
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDateTimeFormatPrototype.cpp	2022-03-28 15:11:04.214708945 -0500
@@ -40,7 +40,6 @@ namespace JSC {
 static JSC_DECLARE_CUSTOM_GETTER(intlDateTimeFormatPrototypeGetterFormat);
 static JSC_DECLARE_HOST_FUNCTION(intlDateTimeFormatPrototypeFuncFormatRange);
 static JSC_DECLARE_HOST_FUNCTION(intlDateTimeFormatPrototypeFuncFormatRangeToParts);
-static JSC_DECLARE_HOST_FUNCTION(intlDateTimeFormatPrototypeFuncFormatToParts);
 static JSC_DECLARE_HOST_FUNCTION(intlDateTimeFormatPrototypeFuncResolvedOptions);
 static JSC_DECLARE_HOST_FUNCTION(intlDateTimeFormatFuncFormatDateTime);
 
@@ -56,7 +55,6 @@ const ClassInfo IntlDateTimeFormatProtot
 @begin dateTimeFormatPrototypeTable
   format                intlDateTimeFormatPrototypeGetterFormat              DontEnum|ReadOnly|CustomAccessor
   formatRange           intlDateTimeFormatPrototypeFuncFormatRange           DontEnum|Function 2
-  formatToParts         intlDateTimeFormatPrototypeFuncFormatToParts         DontEnum|Function 1
   resolvedOptions       intlDateTimeFormatPrototypeFuncResolvedOptions       DontEnum|Function 0
 @end
 */
@@ -158,6 +156,7 @@ JSC_DEFINE_CUSTOM_GETTER(intlDateTimeFor
     return JSValue::encode(boundFormat);
 }
 
+#if 0
 JSC_DEFINE_HOST_FUNCTION(intlDateTimeFormatPrototypeFuncFormatToParts, (JSGlobalObject* globalObject, CallFrame* callFrame))
 {
     VM& vm = globalObject->vm();
@@ -177,6 +176,7 @@ JSC_DEFINE_HOST_FUNCTION(intlDateTimeFor
 
     RELEASE_AND_RETURN(scope, JSValue::encode(dateTimeFormat->formatToParts(globalObject, value)));
 }
+#endif
 
 // http://tc39.es/proposal-intl-DateTimeFormat-formatRange/#sec-intl.datetimeformat.prototype.formatRange
 JSC_DEFINE_HOST_FUNCTION(intlDateTimeFormatPrototypeFuncFormatRange, (JSGlobalObject* globalObject, CallFrame* callFrame))
diff -urp webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDisplayNames.cpp webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDisplayNames.cpp
--- webkitgtk-2.36.0.icu60/Source/JavaScriptCore/runtime/IntlDisplayNames.cpp	2022-03-29 15:02:28.892121597 -0500
+++ webkitgtk-2.36.0.icu52/Source/JavaScriptCore/runtime/IntlDisplayNames.cpp	2022-03-29 14:59:04.099030983 -0500
@@ -106,6 +106,7 @@ void IntlDisplayNames::initializeDisplay
     m_fallback = intlOption<Fallback>(globalObject, options, Identifier::fromString(vm, "fallback"), { { "code"_s, Fallback::Code }, { "none"_s, Fallback::None } }, "fallback must be either \"code\" or \"none\""_s, Fallback::Code);
     RETURN_IF_EXCEPTION(scope, void());
 
+#if HAVE(ICU_U_LOCALE_DISPLAY_NAMES)
     UErrorCode status = U_ZERO_ERROR;
 
     UDisplayContext contexts[] = {
@@ -134,6 +135,10 @@ void IntlDisplayNames::initializeDisplay
         throwTypeError(globalObject, scope, "failed to initialize DisplayNames"_s);
         return;
     }
+#else
+    throwTypeError(globalObject, scope, "Failed to initialize Intl.DisplayNames since used feature is not supported in the linked ICU version"_s);
+    return;
+#endif
 }
 
 // https://tc39.es/proposal-intl-displaynames/#sec-Intl.DisplayNames.prototype.of
